package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备折旧信息对象 dms_base_device_depreciation
 *
 * @author xins
 * @date 2023-12-27
 */
public class DmsBaseDeviceDepreciation extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceDepreciationId;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 维修次数 */
    @Excel(name = "维修次数")
    private Long repairFrequency;

    /** 维修费用 */
    @Excel(name = "维修费用")
    private BigDecimal repairCosts;

    /** 折旧费用 */
    @Excel(name = "折旧费用")
    private BigDecimal depreciationCost;

    /** 投入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投入时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date putintoTime;

    /** 使用年限 */
    @Excel(name = "使用年限")
    private BigDecimal useLife;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;
    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceDepreciationId(Long deviceDepreciationId)
    {
        this.deviceDepreciationId = deviceDepreciationId;
    }

    public Long getDeviceDepreciationId()
    {
        return deviceDepreciationId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setRepairFrequency(Long repairFrequency)
    {
        this.repairFrequency = repairFrequency;
    }

    public Long getRepairFrequency()
    {
        return repairFrequency;
    }
    public void setRepairCosts(BigDecimal repairCosts)
    {
        this.repairCosts = repairCosts;
    }

    public BigDecimal getRepairCosts()
    {
        return repairCosts;
    }
    public void setDepreciationCost(BigDecimal depreciationCost)
    {
        this.depreciationCost = depreciationCost;
    }

    public BigDecimal getDepreciationCost()
    {
        return depreciationCost;
    }
    public void setPutintoTime(Date putintoTime)
    {
        this.putintoTime = putintoTime;
    }

    public Date getPutintoTime()
    {
        return putintoTime;
    }
    public void setUseLife(BigDecimal useLife)
    {
        this.useLife = useLife;
    }

    public BigDecimal getUseLife()
    {
        return useLife;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceDepreciationId", getDeviceDepreciationId())
            .append("deviceId", getDeviceId())
            .append("repairFrequency", getRepairFrequency())
            .append("repairCosts", getRepairCosts())
            .append("depreciationCost", getDepreciationCost())
            .append("putintoTime", getPutintoTime())
            .append("useLife", getUseLife())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
